/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/01/2016

This program lets the buzzer generate a siren 
that alternates between a tone of 500Hz and a tone of 1KHz 

We now use the tone instruction of the ARduino IDE library
tone(pin, frequency) 
tone(pin, frequency, duration)
    Parameters:
      pin: the pin on which to generate the tone
      frequency: the frequency of the tone in hertz - unsigned int
      duration: the duration of the tone in milliseconds (optional) - unsigned long

The buzzer is connected at IDE pin D7
A square wave that is high for 1msec and low for 1msec replicates a frequency of 500Hz.


*/

// these lines make it possible to use pin names in stead of pin numbers
// Constants do not change during the program
const int Buzzer =  7; 


// this setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin Buzzer as output
  pinMode(Buzzer, OUTPUT);

}

// this loop function runs over and over again forever
void loop() 
{
tone(Buzzer,500,500); // on Buzzer pin - generate 500Hz signal - for 500msec
delay(500);           // wait for 500msec
tone(Buzzer,1000,500);// on Buzzer pin - generate 1000Hz signal - for 500msec
delay(500);           // wait for 500msec
}
